# Canvas2D example.  Plotting many objects and manually setting interactive keys

from java.awt import *
from java.util import Random
from jhplot import * 



def applyStyleGray(c1,f1,h1,p1):

     style="Article style (BG) with 3 plots"
     st = Font.BOLD + Font.ITALIC;
     f = Font("Serif",st,22);

     c1.setAntiAlias(True) 
     c1.setGTitle(style,f)    
     c1.setNameX("X values",Font("Serif", Font.ITALIC, 20))
     c1.setNameY("Y values",Font("Serif", Font.ITALIC, 20))
     

     f1.setColor(Color.black)
     f1.setPenWidth(3)

     # apply style for histogram
     h1.setFill(1)
     h1.setPenWidth(2)
     h1.setErrX(0)
     h1.setErrY(1)
     h1.setFillColor( Color(0x787C80)  )


     # apply style for data points 
     p1.setSymbol(4)
     p1.setSymbolSize(6)
     p1.setColor( Color.black ) 


     return style 











# make empty canvas in some range
c1 =HPlotJa("Canvas",800,800, 3,1)
c1.setAntiAlias(False)
c1.visible()
c1.setRange(0,100,0,100)

h1 = H1D("Histogram",20, 50.0, 100.0)
f1=F1D("cos(x)*x",1,50)
f1.setPoints(5000) 
p1= P1D("X-Y data")

rand = Random(10)
for i in range(500):
      h1.fill(85+10*rand.nextGaussian())
      if (i<200): p1.add(56+7*rand.nextGaussian(),70+7*rand.nextGaussian())
        


style=applyStyleGray(c1,f1,h1,p1)


## now put a few points
c1.cd(1,1)
c1.setPadSize(0.3,0.8)
c1.setPadLocation(0.1, 0.1)
c1.draw(f1)


c1.cd(2,1) # new pad with different location
c1.setRange(0,100,0,100)
c1.setPadSize(0.35,0.35)
c1.setPadLocation(0.5, 0.1)
c1.setLabel(0,0.83,0.505,"X")
c1.setLabel(1,0.435,0.13,"Y")

c1.draw(h1)

c1.cd(3,1) # another pad 
c1.setRange(0,100,0,100)
c1.setPadSize(0.35,0.35)
c1.setPadLocation(0.5, 0.55)
c1.setShowStatBox(0)
c1.draw(p1)
c1.setLabel(0,0.83,0.96,"X")
c1.setLabel(1,0.435,0.57,"Y")


# now show all objects
c1.update();

import sys
expfile=sys.argv[0].replace(".py",".png")
c1.export(expfile)
 

