# Input-Output. Create an object database and store all data containers
# After this, we retrive some  objects and plot them
# This example is based on http://www.neodatis.org/  (NeoDatis database)
# S.Chekanov


from java.awt import Color,Font
from jhplot  import * 
from java.util import Random

# import from NeoDatis DB
from  org.neodatis.odb import *;
from  org.neodatis.odb.impl.core.query.criteria import *;
from  org.neodatis.odb.core.query.criteria import *;
from  org.neodatis.odb.xml import *;


c1 = HPlot("Canvas",600,400)
c1.setGTitle("Writing and reading objects from a database");
c1.visible(1)
c1.setAutoRange()


p0=P0D("Normal distribution")
p0.randomNormal(1000, 2.0, 1.0)

p1=P1D("X-Y points")
p1.add(10,20)
p1.add(30,40)


h1 = H1D("GaussianHistogram",100, -2, 2.0)
rand = Random()
for i in range(500):
      h1.fill(rand.nextGaussian())

lab=HLabel("Label", 0.15, 0.7, "NDC")
lab.setColor(Color.blue)

# remove database  if exists
if os.path.exists("database.db"):
    os.remove("database.db")

print "Store all objects in a database"
odb = ODBFactory.open("database.db")
odb.store(p0)
odb.store(p1)
odb.store(h1)
odb.store(lab)

# store several arrays
for i in range(20):
    p0=P0D("data"+str(i))
    p0.randomNormal(10*i, 2.0, 1.0)   
    odb.store(p0)

odb.close()



print "######### open the database ################"

odb = ODBFactory.open("database.db")
query = CriteriaQuery(P0D);
obj = odb.getObjects(query)
print  "Number of P0D objects=",obj.size()
query = CriteriaQuery(H1D);
obj = odb.getObjects(query)
print  "Number of H1D  objects=",obj.size()


# find an P0D object with the name data1
query =  CriteriaQuery(P0D, Where.equal("title", "data1"));
p0d=odb.getObjects(query).getFirst()
print p0d.toString()
   
# find an H1D object with the name GaussianHistogram
query =  CriteriaQuery(H1D, Where.equal("title", "GaussianHistogram"));
h1d=odb.getObjects(query).getFirst()
h1d.setTitle("GaussianHistogram from a database")
c1.draw( h1d)
            


odb.close()


